### Function

# Gimp edit_copy

#### Declaration [src]

    gboolean
    gimp_edit_copy (
      const GimpDrawable** drawables
    )

#### Description [src]

Copy from the specified drawables.

If there is a selection in the image, then the area specified by the selection is copied from the specified drawables and placed in an internal GIMP edit buffer. It can subsequently be retrieved using the `gimp_edit_paste()` command. If there is no selection, then the specified drawables’ contents will be stored in the internal GIMP edit buffer. This procedure will return `FALSE` if the selected area lies completely outside the bounds of the current drawables and there is nothing to copy from. All the drawables must belong to the same image.

#### Parameters

`drawables`

  Type: An array of `None`

  Drawables to copy from.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE if the cut was successful, FALSE if there was nothing to copy from.